%define pkg_name        Test-Number-Delta
%define pkg_version     1.03
%define rpm_pkg_version 1.03
%define rpm_pkg_release 1.n0i.2

Summary:       Test absolute difference between numbers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Most programmers at one time or another are confronted with the issue of
comparing floating-point numbers for equality. The typical idiom is to test
if the absolute value of the difference of the numbers is within a desired
tolerance, usually called epsilon. This module provides such a function for
use with Test::Harness. Usage is similar to other test functions described
in Test::More.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README Todo


%changelog
* Tue Jun 05 2007 Marius Feraru <altblue@n0i.net> - 1.03-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.03

* Thu May 25 2006 Marius Feraru <altblue@n0i.net> - 0.18-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
